# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetArrayInfo

Function

Returns the number of items, type, category, rank, and shape of an Array.

Syntax
`
#include <dx/dx.h>
`

Array DXGetArrayInfo(Array a, int *items, Type *type, Category *category,
int *rank, int *shape)

Functional Details

If `items` is not `NULL`, this routine returns in `*items` the number of items currently in the Array. If type is not `NULL`, it returns in `*type` the type of each item. If `category` is not `NULL`, it returns in `*category` the category of each item. If `rank` is not `NULL`, it returns in `*rank` the number of dimensions in each item. If shape is not `NULL`, it returns in `*shape` an Array of the extents of each dimension of the items.

The type is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

The category is either `CATEGORY_REAL` or `CATEGORY_COMPLEX`.

(For information on rank and shape, see Chapter 3. "Understanding the Data Model" in IBM Visualization Data Explorer User's Guide.)

Return Value

Returns `a` or returns `NULL` without setting an error code.

See Also

`DXGetArrayClass, DXGetItemSize, DXTypeCheck, DXTypeCheckV`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]